#!/bin/bash

tpm_awk_script='
!/pam_tpm\.so/ {
	next
}

/^($|[[:space:]]*#)/ {
	next
}

/pam_tpm\.so/ {
	if (match($0,/\s*tpm\s*=\s*\S+/)) {
		print gensub(/[^#]*\s*tpm\s*=\s*(\S+)\s*.*/,"\\1","")
		exit # Find the first of TPM plugins
	}
}
'
setup_config () {
  # parameters to support fly-dm customization
  KDMRC=/etc/X11/fly-dm/fly-dmrc
  BACKGROUNDRC=/etc/X11//fly-dm/backgroundrc

  #alex:
  if [ ! -s $KDMRC ]; then
    echo "Файл  ${KDMRC} не существует или нулевого размера. Будет создан сейчас."
    /usr/bin/genfly-dmconf --no-old --no-in-notice  1> /dev/null
  fi
  return 0
}

setup_config
tpm_plugin=`awk "$tpm_awk_script" < /etc/pam.d/common-auth`
if [ ! -z $tpm_plugin ]; then
    #export TPM_PLUGIN=$tpm_plugin
    /bin/systemctl set-environment TPM_PLUGIN=$tpm_plugin
fi
